Last Comment Bug 243480 - previous/next buttons should be up/down instead of left/right
: previous/next buttons should be up/down instead of left/right
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All All
: -- enhancement with 1 vote (vote)
: Thunderbird 16.0
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 727598
  Show dependency treegraph
 
Reported: 2004-05-12 20:34 PDT by Max Waterman
Modified: 2012-06-29 02:41 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Max Waterman 2004-05-12 20:34:15 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8a) Gecko/20040506 Firefox/0.8.0+
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8a) Gecko/20040506 Firefox/0.8.0+

The icons for the 'move to the previous unread message' and '...next...' buttons
contain arrows which point left and right.

This is unintuitive since the messages are lists one above the other.

IMO, they should point up and down, respectively.

Please consider changing the images. I would have done it myself, but I can't
find the image for a button without an arrow.

Thanks.

Max.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 José Jeria 2004-05-13 01:14:15 PDT
(In reply to comment #0)
> The icons for the 'move to the previous unread message' and '...next...' buttons
> contain arrows which point left and right.

You ment to report this bug for Thunderbird, right?
Comment 2 Max Waterman 2004-05-13 02:25:11 PDT
doh! you're quite right. thanks.

could someone change it? it won't let me change the target milestone.
Comment 3 Frankie 2005-01-05 20:00:42 PST
Yes, this makes sense.
Comment 4 Wayne Mery (:wsmwk, NI for questions) 2009-12-16 03:48:04 PST
opinions?
Comment 5 Bryan Clark (DevTools PM) [@clarkbw] 2009-12-16 10:41:25 PST
That makes sense to me, much more than the double arrows >>, <<
Comment 6 :aceman 2012-06-28 23:50:03 PDT
Fixed by bug 727598, cabe seen in current trunk, TB16.
Comment 7 Max Waterman 2012-06-29 00:14:49 PDT
I guess that the text for the buttons now might not make sense, depending on how the user has the messages sorted? It doesn't matter for the icons, since 'down' is always down, irrespective of if it's the next or previous message, but the text could be confusing?
Comment 8 :aceman 2012-06-29 02:02:58 PDT
Not sure what you mean. It seems Previous (up) always goes up regardless of sort order.

Do you mean that if you have sorted by Date and descending (newest on top), that actually pressing Previous goes up, which means to newer message in time order?
Comment 9 Max Waterman 2012-06-29 02:32:05 PDT
(In reply to :aceman from comment #8)
> Do you mean that if you have sorted by Date and descending (newest on top),
> that actually pressing Previous goes up, which means to newer message in
> time order?

Yes - the meaning of 'next' and 'previous' might imply a chronological order - but perhaps not, which is fine...
Comment 10 :aceman 2012-06-29 02:39:23 PDT
Maybe, if you sort by date/time. If you sort by other property, it is not so easy. But yes, in any ordering there is the mathematical notion of previous and next (or lower and higher). I agree the buttons may work wrong in that notion. But it is the question if users care about that notion :) It looks like not much as Outlook 2007 works the same way as TB.
Comment 11 Max Waterman 2012-06-29 02:41:53 PDT
(In reply to :aceman from comment #10)
> Maybe, if you sort by date/time. If you sort by other property, it is not so
> easy. But yes, in any ordering there is the mathematical notion of previous
> and next (or lower and higher). I agree the buttons may work wrong in that
> notion. But it is the question if users care about that notion :) It looks
> like not much as Outlook 2007 works the same way as TB.

Indeed. I have nothing more to add. Thanks for fixing this :)

Note You need to log in before you can comment on or make changes to this bug.